# set term x11
# set term postscript landscape enhanced color 'Times-Roman' 20
 set term postscript portrait enhanced color 'Times-Roman' 20
 set output 'gme.ps'
 set noxzeroaxis
# set tics out
 set noxtics
# set key bottom right
# show key
 set nokey
# set grid
 set xrange[    0.:  1.]
 set xtics 0,0.5,1
 set mxtics 2
 set yrange[    0.: 0.8]
 set ytics 0.,0.1,5.
 set mytics 2
# set title "triangular, {/Symbol e}=1/12/1, d/a=0.5, r/a=0.3"

# set data style lines
# set style line 1 lt 1 lw 1
# set style line 2 lt 2 lw 1
 set data style points
 set style line 1 pt 7 ps 0.6
 set style line 2 pt 6 ps 0.6
 set poi
# set size  1, 1
 set size  1., 0.6
# set size  1, 0.7071000    
# set size  0.7071000,0.5  
 set ylabel ' {/Symbol w}a/2{/Symbol p}c'
# set ylabel ' Energy (eV)'
# set ylabel ''
# set xtics ('M'0.00,'{/Symbol G}'0.36603,'K'0.78868,'M'1.00)
# set xtics ('{/Symbol G}'0.,'X'1.00)
#  set xtics 0,0.25,100
#  set xlabel 'k_xa/{/Symbol p}'
# set xtics ('{/Symbol G}'0.00,'X'0.29289,'M'0.58579,'{/Symbol G}'1.00)
# set xtics ('X'0.00,'{/Symbol G}'0.29289,'M'0.70711,'X'1.00)
 set xtics ('{/Symbol G}'0.0,'M'0.36603,'K'0.57735,'{/Symbol G}'1.00)
# set xtics ('M'0.00,'{/Symbol G}'0.464102,'K'1.00)
# set xtics ('M'0.00,'{/Symbol G}'0.36603,'K'0.78868,'M'1.00)
# set xtics ('X'0.00,'{/Symbol G}'0.41421,'M'1.00)
# set xtics ('X2'0.00,'{/Symbol G}'0.10352,'X1'1.00)
# set xtics ('{/Symbol G}'0.,'X'0.44824,'M'0.5,'Y'0.94824,'{/Symbol G}'1.)

 plot 'gme.out'us 1:2 w p pt 7 ps 0.5,'gme_ll.out'us 1:2 w l lt 3 lw 1.5,'gme_vl.out'w l lt 2

# plot 'gmej1.out'us 1:2 w p pt 7 ps 0.6,\
#      'gmej0.out'us 1:2 w p pt 6 ps 0.6,\
#      'gme_ll.out'us 1:2 w l lt 3 lw 1.5,'gme_vl.out'w l lt 2



#
# plots of photonic bands and Im(omega), vgroup, losses
#

# set multiplot

 set size 0.62,0.8
 set origin -0.05,0
# set origin 0.35,0
# set nokey
 show key
 set xrange [0: 1.]
 set xtics 0,0.5,1
# set mxtics 1
 set xlabel 'k_xa/{/Symbol p}'
# set xlabel 'wavevector k_y'
 set ylabel '{/Symbol w}a/2{/Symbol p}c'
# set ylabel 'Energy (eV)'
# set xtics ('M'0.00,'{/Symbol G}'0.464102,'K'1.00)
# plot 'gme.out'w p pt 7 ps 0.6,'gme_ll.out'w l lt 3

 set size 0.62,0.8
 set origin 0.4,0
# set origin -0.1,0
# set key
 set grid
 set logscale x
 set xrange [1e-5: 1e-1]
 set xtics 1e-10,10.,1e10
 set mxtics 10
# set nologscale x
# set xrange [0:1e-5]
# set xtics 0,0.000005,1
# set mxtics 5
# set xlabel ' Im({/Symbol w})a/2{/Symbol p}c'
 set xlabel ' Im({/Symbol w}) (eV)'
# set xlabel ' Q-factor'
 set ylabel ' '
# set title "W1 with disorder, {/Symbol D}r=4 nm"
 set data style points

# plot 'gme.out'us 3:2 w p pt 7 ps 0.6



# group velocity

# set multiplot

 set size 0.6,0.8
 set origin -0.1,0
 set nokey
 set nologscale x
 set xrange [0: 1]
 set xtics 0,0.5,1
 set mxtics 1
 set xlabel 'k_xa/{/Symbol p}'
# set xlabel 'Wavevector k_y'
# set ylabel 'Energy (eV)'
 set ylabel '{/Symbol w}a/2{/Symbol p}c'
# plot 'gme.out' w l lt 1,'gme_ll.out' w l lt 3

 set size 0.65,0.8
 set origin 0.35,0
 set nologscale x
 set xrange [0: 0.40]
 set xtics 0,0.1,1
 set mxtics 2
 set xlabel ' v_g/c'
 set ylabel ' '
 set data style points
# plot 'gme.out'us 4:2 w p pt 6 ps 0.6


# propagation losses

# set multiplot

 set size 0.6,0.8
 set origin -0.1,0
 set key
 set nologscale x
 set xrange [0: 1]
 set xtics 0,0.5,1
 set mxtics 1
 set xlabel 'k_xa/{/Symbol p}'
# set xlabel 'Wavevector k_y'
 set ylabel '{/Symbol w}a/2{/Symbol p}c'
# set ylabel 'Energy (eV)'
# plot 'gme.out' w l lt 1,'gme_ll.out' w l lt 3

 set size 0.65,0.8
 set origin 0.35,0
 set logscale x
 set xrange [1e0: 1e3]
 set xtics 1e-10,10.,1e10
 set mxtics 10
 set grid
# set nologscale x
# set xrange [0: 50]
# set xtics 0,10.,100
# set mxtics 2
 set xlabel ' Loss (dB/mm)'
# set xlabel ' Loss (dB/a)'
 set ylabel ' '
# set title "W1 with disorder, {/Symbol D}r=4 nm"
 set data style points
# plot 'gme.out'us ($5/0.43e-3):2 w p pt 7 ps 0.6
# plot 'gme.out'us 5:2 w p pt 7 ps 0.6

